public sealed class HealthSource : IMessage<HealthSource>, IEquatable<HealthSource>, IDeepCloneable<HealthSource>, IBufferMessage, IMessageReference documentation and code samples for the Compute Engine v1 API class HealthSource.
Represents a health source.
A health source resource specifies the source resources and the health aggregation policy applied to the source resources to determine the aggregated health status.
Implements
IMessageHealthSource, IEquatableHealthSource, IDeepCloneableHealthSource, IBufferMessage, IMessageNamespace
Google.Cloud.Compute.V1Assembly
Google.Cloud.Compute.V1.dll
Constructors
HealthSource()
public HealthSource()HealthSource(HealthSource)
public HealthSource(HealthSource other)| Parameter | |
|---|---|
| Name | Description |
other |
HealthSource |
Properties
CreationTimestamp
public string CreationTimestamp { get; set; }Output only. [Output Only] Creation timestamp inRFC3339 text format.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Description
public string Description { get; set; }An optional description of this resource. Provide this property when you create the resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Fingerprint
public string Fingerprint { get; set; }Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthSource. An up-to-date fingerprint must be provided in order to patch the HealthSource; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthSource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
HasCreationTimestamp
public bool HasCreationTimestamp { get; }Gets whether the "creation_timestamp" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasDescription
public bool HasDescription { get; }Gets whether the "description" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasFingerprint
public bool HasFingerprint { get; }Gets whether the "fingerprint" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasHealthAggregationPolicy
public bool HasHealthAggregationPolicy { get; }Gets whether the "health_aggregation_policy" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasId
public bool HasId { get; }Gets whether the "id" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasKind
public bool HasKind { get; }Gets whether the "kind" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasName
public bool HasName { get; }Gets whether the "name" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasRegion
public bool HasRegion { get; }Gets whether the "region" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSelfLink
public bool HasSelfLink { get; }Gets whether the "self_link" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSelfLinkWithId
public bool HasSelfLinkWithId { get; }Gets whether the "self_link_with_id" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HasSourceType
public bool HasSourceType { get; }Gets whether the "source_type" field is set
| Property Value | |
|---|---|
| Type | Description |
bool |
|
HealthAggregationPolicy
public string HealthAggregationPolicy { get; set; }URL to the HealthAggregationPolicy resource. Must be set. Must be regional and in the same region as the HealthSource. Can be mutated.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Id
public ulong Id { get; set; }Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.
| Property Value | |
|---|---|
| Type | Description |
ulong |
|
Kind
public string Kind { get; set; }Output only. [Output Only] Type of the resource. Alwayscompute#healthSource for health sources.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Name
public string Name { get; set; }Name of the resource. Provided by the client when the resource is created.
The name must be 1-63 characters long, and comply withRFC1035.
Specifically, the name must be 1-63 characters long and match the regular
expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first
character must be a lowercase letter, and all following characters must
be a dash, lowercase letter, or digit, except the last character, which
cannot be a dash.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Region
public string Region { get; set; }Output only. [Output Only] URL of the region where the health source resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SelfLink
public string SelfLink { get; set; }Output only. [Output Only] Server-defined URL for the resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SelfLinkWithId
public string SelfLinkWithId { get; set; }Output only. [Output Only] Server-defined URL with id for the resource.
| Property Value | |
|---|---|
| Type | Description |
string |
|
SourceType
public string SourceType { get; set; }Specifies the type of the HealthSource. The only allowed value is BACKEND_SERVICE. Must be specified when theHealthSource is created, and cannot be mutated. Check the SourceType enum for the list of possible values.
| Property Value | |
|---|---|
| Type | Description |
string |
|
Sources
public RepeatedField<string> Sources { get; }URLs to the source resources. Must be size 1. Must be aBackendService if the sourceType is BACKEND_SERVICE. TheBackendService must have load balancing schemeINTERNAL or INTERNAL_MANAGED and must be regional and in the same region as the HealthSource (cross-region deployment for INTERNAL_MANAGED is not supported). TheBackendService may use only IGs, MIGs, or NEGs of typeGCE_VM_IP or GCE_VM_IP_PORT. TheBackendService may not use haPolicy. Can be mutated.
| Property Value | |
|---|---|
| Type | Description |
RepeatedFieldstring |
|